<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hsmf.datatypes Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hsmf.datatypes Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/dev/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.hsmf.datatypes</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span
                        class="typeNameLink">AttachmentChunks</span></a> (implements org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                        title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>)
                </li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.AttachmentChunksSorter.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">AttachmentChunks.AttachmentChunksSorter</span></a>
                    (implements java.util.Comparator&lt;T&gt;, java.io.Serializable)
                </li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Chunk</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span
                                class="typeNameLink">ByteChunk</span></a></li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/DirectoryChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span
                                class="typeNameLink">DirectoryChunk</span></a></li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/MessageSubmissionChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">MessageSubmissionChunk</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertiesChunk</span></a>
                            <ul>
                                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MessagePropertiesChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">MessagePropertiesChunk</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StoragePropertiesChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">StoragePropertiesChunk</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span
                                class="typeNameLink">StringChunk</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Chunks</span></a>
                    (implements org.apache.poi.hsmf.datatypes.<a
                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                            title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a>)
                </li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span
                        class="typeNameLink">MAPIProperty</span></a></li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/NameIdChunks.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span
                        class="typeNameLink">NameIdChunks</span></a> (implements org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                        title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>)
                </li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span
                        class="typeNameLink">PropertyValue</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkBasedPropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">ChunkBasedPropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.BooleanPropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.BooleanPropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.CurrencyPropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.CurrencyPropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.DoublePropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.DoublePropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.FloatPropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.FloatPropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongLongPropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.LongLongPropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongPropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.LongPropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.NullPropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.NullPropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.ShortPropertyValue</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">PropertyValue.TimePropertyValue</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">RecipientChunks</span></a>
                    (implements org.apache.poi.hsmf.datatypes.<a
                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                            title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a>)
                </li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.RecipientChunksSorter.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">RecipientChunks.RecipientChunksSorter</span></a>
                    (implements java.util.Comparator&lt;T&gt;, java.io.Serializable)
                </li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Types</span></a></li>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                        title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Types.MAPIType</span></a>
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.hsmf.datatypes.<a
                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                title="interface in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">ChunkGroup</span></a>
            <ul>
                <li type="circle">org.apache.poi.hsmf.datatypes.<a
                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                        title="interface in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">ChunkGroupWithProperties</span></a>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/dev/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
